Package org.pushingpixels.substance.api.skin

# Class SubstanceChallengerDeepLookAndFeel

java.lang.Object
javax.swing.LookAndFeel
javax.swing.plaf.basic.BasicLookAndFeel
org.pushingpixels.substance.api.SubstanceLookAndFeel
org.pushingpixels.substance.api.skin.SubstanceChallengerDeepLookAndFeel

All Implemented Interfaces:
  `Serializable`

public class SubstanceChallengerDeepLookAndFeel extends SubstanceLookAndFeel
Standalone look-and-feel that uses the `Challenger Deep` skin from `ChallengerDeepSkin`. You can set this look-and-feel by:

- -Dswing.defaultlaf=org.pushingpixels.substance.api.skin. SubstanceChallengerDeepLookAndFeel
- UIManager.setLookAndFeel( "org.pushingpixels.substance.api.skin.SubstanceChallengerDeepLookAndFeel" );
- UIManager.setLookAndFeel(new SubstanceChallengerDeepLookAndFeel());

Since:
  version 3.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.SubstanceLookAndFeel

`BUTTON_NO_MIN_SIZE_PROPERTY, BUTTON_OPEN_SIDE_PROPERTY, BUTTON_PAINT_NEVER_PROPERTY, BUTTON_SHAPER_PROPERTY, BUTTON_SIDE_PROPERTY, COLORIZATION_FACTOR, COMBO_BOX_POPUP_FLYOUT_ORIENTATION, COMBO_POPUP_PROTOTYPE, CORNER_RADIUS, currentKeyboardFocusManager, FLAT_PROPERTY, FOCUS_KIND, focusOwnerChangeListener, HEAP_STATUS_TRACE_FILE, localeChangeListeners, MENU_GUTTER_FILL_KIND, name, PASSWORD_ECHO_PER_CHAR, PLUGIN_XML, SCROLL_PANE_BUTTONS_POLICY, SHOW_EXTRA_WIDGETS, skin, SKIN_PROPERTY, skinChangeListeners, SUBSTANCE_FONT_POLICY_KEY, SUBSTANCE_INPUT_MAP_SET_KEY, TABBED_PANE_CLOSE_BUTTONS_MODIFIED_ANIMATION, TABBED_PANE_CLOSE_BUTTONS_PROPERTY, TABBED_PANE_CLOSE_CALLBACK, TABBED_PANE_CONTENT_BORDER_KIND, TABBED_PANE_ROTATE_SIDE_TABS, TABLE_LEADING_VERTICAL_LINE, TABLE_TRAILING_VERTICAL_LINE, TRACE_FILE, TREE_SMART_SCROLL_ANIMATION_KIND, USE_THEMED_DEFAULT_ICONS, WATERMARK_VISIBLE, WINDOW_AUTO_DEACTIVATE, WINDOW_MODIFIED, WINDOW_ROUNDED_CORNERS, WINDOW_ROUNDED_CORNERS_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceChallengerDeepLookAndFeel()`
Creates a new `Challenger Deep` look-and-feel.

## Method Summary

### Methods inherited from class org.pushingpixels.substance.api.SubstanceLookAndFeel

`getAllSkins, getAllTabCloseListeners, getAllTabCloseListeners, getCurrentSkin, getCurrentSkin, getDecorationType, getDefaults, getDescription, getDisabledIcon, getFontPolicy, getID, getImmediateDecorationType, getInputMapSet, getLabelBundle, getLabelBundle, getLocaleListeners, getName, getSupportsWindowDecorations, getTitlePaneComponent, initClassDefaults, initComponentDefaults, initialize, initPluginsIfNecessary, isCurrentLookAndFeel, isNativeLookAndFeel, isSupportedLookAndFeel, isToUseConstantThemesOnDialogs, registerLocaleChangeListener, registerSkinChangeListener, registerTabCloseChangeListener, registerTabCloseChangeListener, resetLabelBundle, setDecorationType, setFontPolicy, setInputMapSet, setLabelBundleClassLoader, setSkin, setSkin, setToUseConstantThemesOnDialogs, setWidgetVisible, uninitialize, unregisterLocaleChangeListener, unregisterSkinChangeListener, unregisterTabCloseChangeListener, unregisterTabCloseChangeListener`

### Methods inherited from class javax.swing.plaf.basic.BasicLookAndFeel

`createAudioAction, getAudioActionMap, initSystemColorDefaults, loadSystemColors, playSound`

### Methods inherited from class javax.swing.LookAndFeel

`getDesktopPropertyValue, getDisabledSelectedIcon, getLayoutStyle, installBorder, installColors, installColorsAndFont, installProperty, loadKeyBindings, makeComponentInputMap, makeIcon, makeInputMap, makeKeyBindings, provideErrorFeedback, toString, uninstallBorder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubstanceChallengerDeepLookAndFeel

public SubstanceChallengerDeepLookAndFeel()
Creates a new `Challenger Deep` look-and-feel.